import React from 'react'

const TodoItem = ({ id, children, edit, complete, onEdit, onComplete, onClick }) => {

  const className = `todos ${complete ? 't-complete' : ''}`

  return (
    <div className="task">
      <div className="task-body-content">
        {!edit ? (
          <div style={{ display: 'flex' }}>
            <input type='checkbox' checked={complete} onChange={(e) => onComplete(id, e.target.checked)}></input>
            <span style={{ cursor: 'pointer' }} className={className} onClick={() => onClick(id, children)}>{children}</span>
          </div>
        ) :
          <form>
            <div className='add-form'>
              <div className='form-control'>
                <input type='input' defaultValue={children} onChange={(e) => onEdit(id, e.target.value)}
                />
              </div>
              <button type='button' className='btn'>Save</button>
            </div>
          </form>
        }
      </div>
    </div>
  )
}

export default TodoItem

